Bug 380991 - Left channel audio distortion with kernels >= 2.6.23.1-49.fc8
Left channel audio distortion with kernels >= 2.6.23.1-49.fc8
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 368901 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 16:14 EST by Ryan Schlesinger
Modified: 2014-09-02 12:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:24:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log (49.96 KB, text/plain)
2007-11-13 16:14 EST, Ryan Schlesinger
no flags Details
lspci.out (40.65 KB, text/plain)
2008-01-25 18:25 EST, Ryan Schlesinger
no flags Details
dmesg.out (34.05 KB, text/plain)
2008-01-25 18:25 EST, Ryan Schlesinger
no flags Details

  None (edit)
Description Ryan Schlesinger 2007-11-13 16:14:23 EST
Description of problem:
Using kernel-2.6.23.1-49.fc8 on a second gen macbook pro, there is
a constant static/popping in the left channel audio.  Some programs (such as
skype) only output audio on the left channel, whereas others (like amarok) can
output stereo but with the aforementioned distortion.

I also have duplicated mixer controls for Capture, Mux, and Input Source that
were not present on first boot.  Disabling their display does not stick.
External speakers are still solely controlled by the Surround control.

Version-Release number of selected component (if applicable):
Kernel 2.6.23.1-49 on Fedora 8.

How reproducible:
Seems to be always but I'll update if I manage to get it to boot with clean sound.

Steps to Reproduce:
1. Boot.
2. Play sound.
  
Actual results:
Distortion in left audio channel.

Expected results:
Clean sound.

Additional info:
I have a Fedora 7 bug filed for the same problem.  See bug 368901.
Comment 1 Ryan Schlesinger 2007-11-13 16:14:23 EST
Created attachment 257431 [details]
scsconfig.log
Comment 2 Christopher Brown 2008-01-15 22:35:57 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Christopher Brown 2008-01-15 22:36:13 EST
*** Bug 368901 has been marked as a duplicate of this bug. ***
Comment 4 Ryan Schlesinger 2008-01-15 22:41:05 EST
The last time this happened (it's been awhile now) I was able to fix the problem
by powering off the machine, removing the battery, waiting (10 seconds),
replacing the battery, and powering the machine back up.  I'm not sure if this
is software related or not.

This used to happen on every power up and now it's been at least a month since
the last occurrence.
Comment 5 Christopher Brown 2008-01-16 08:10:53 EST
Hello Ryan,

Thanks for the update - I'll close this for the moment as INSUFFICIENT_DATA but
please re-open if it re-occurs. Thanks for taking the time to file the original
report.

Cheers
Chris
Comment 6 Ryan Schlesinger 2008-01-21 13:09:08 EST
It just happened again.  I'm beginning to think that it's only when I boot into
windows and then reboot to linux that the problem has a chance of happening. 
I'm not sure if the windows driver is putting the card into a state that's not
being reset properly by the linux driver.
Comment 7 Christopher Brown 2008-01-21 13:26:53 EST
Okay, when the problem re-occurs again for you can you post the output of the
following commands as separate text/plain attachments.

# lspci -vvxxx > lspci.out
dmesg > dmesg.out

Can you also confirm you are using the latest kernel and I'll update the bug
summary to reflect that. You may wish to test with a 2.6.24-based kernel as well
as and when you are able.

Cheers
Chris
Comment 8 Ryan Schlesinger 2008-01-21 13:38:29 EST
I'm currently running 2.6.23.9-85.fc8.  I'll post the requested files the next
time it happens.  I'll work on booting a 2.6.24 kernel as well.
Comment 9 Christopher Brown 2008-01-21 17:55:14 EST
Okay, thanks Ryan. Setting back to NEEDINFO to indicate we're waiting on some
more tests from you.
Comment 10 Ryan Schlesinger 2008-01-25 18:25:08 EST
I just installed kernel 2.6.23.14-107.fc8 via yum, rebooted (twice), and then
noticed that my left channel audio is distorted.  Attaching requested files.
Comment 11 Ryan Schlesinger 2008-01-25 18:25:30 EST
Created attachment 293020 [details]
lspci.out
Comment 12 Ryan Schlesinger 2008-01-25 18:25:55 EST
Created attachment 293021 [details]
dmesg.out
Comment 13 Ryan Schlesinger 2008-01-25 18:26:43 EST
Comment on attachment 293021 [details]
dmesg.out

Bad MIME type.
Comment 14 Christopher Brown 2008-01-28 06:09:53 EST
Could you try booting up using the radeon graphics driver (as opposed to fglrx)
and with vmware stuff disabled and see if this makes a difference. Also of
possible interest:

https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.22/+bug/146558
http://gentoo-wiki.com/HARDWARE_Apple_MacBook#Crackling_Sound_on_the_left_Channel

Let me know how you get on.

Cheers
Chris
Comment 15 Bug Zapper 2008-11-26 03:24:40 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2009-01-09 02:24:59 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 Ryan Schlesinger 2014-09-02 12:19:56 EDT
I periodically still get reminders to test this bug.  Responding to clear the queue.

Note You need to log in before you can comment on or make changes to this bug.